Index: tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-cube.at
===================================================================
--- tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-cube.at	(revision 7774f7e70f2ae517967d41e9125f5dba0adf1dbe)
+++ tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-cube.at	(revision 9b3262b2e3b9296a0c5ea340ffa6b8b38a694615)
@@ -24,19 +24,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder \
-	-i $file \
-	-l water.xyz \
-	--select-all-molecules \
-	--rotate-to-principal-axis-system "0,0,-1" \
-	--create-shape \
-		--shape-name "cube1" \
-		--shape-type "cube" \
-		--translation "10,10,10" \
-		--stretch "5.,5.,5." \
-	--select-shape-by-name "cube1" \
-	--fill-surface \
-		--count 20 \
-		--min-distance 3.1 \
-		--Alignment-Axis "0,0,-1"
+AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "cube1" 		--shape-type "cube" 		--translation "10,10,10" 		--stretch "5.,5.,5." 	--select-shape-by-name "cube1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1"
 ], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
@@ -51,20 +37,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder \
-	-i $file \
-	-l water.xyz \
-	--select-all-molecules \
-	--rotate-to-principal-axis-system "0,0,-1" \
-	--create-shape \
-		--shape-name "cube1" \
-		--shape-type "cube" \
-		--translation "10,10,10" \
-		--stretch "5.,5.,5." \
-	--select-shape-by-name "cube1" \
-	--fill-surface \
-		--count 20 \
-		--min-distance 3.1 \
-		--Alignment-Axis "0,0,-1" \
-	--undo
+AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "cube1" 		--shape-type "cube" 		--translation "10,10,10" 		--stretch "5.,5.,5." 	--select-shape-by-name "cube1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1" 	--undo
 ], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
@@ -79,21 +50,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder \
-	-i $file \
-	-l water.xyz \
-	--select-all-molecules \
-	--rotate-to-principal-axis-system "0,0,-1" \
-	--create-shape \
-		--shape-name "cube1" \
-		--shape-type "cube" \
-		--translation "10,10,10" \
-		--stretch "5.,5.,5." \
-	--select-shape-by-name "cube1" \
-	--fill-surface \
-		--count 20 \
-		--min-distance 3.1 \
-		--Alignment-Axis "0,0,-1" \
-	--undo \
-	--redo
+AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "cube1" 		--shape-type "cube" 		--translation "10,10,10" 		--stretch "5.,5.,5." 	--select-shape-by-name "cube1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1" 	--undo 	--redo
 ], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
Index: tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-cylinder.at
===================================================================
--- tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-cylinder.at	(revision 7774f7e70f2ae517967d41e9125f5dba0adf1dbe)
+++ tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-cylinder.at	(revision 9b3262b2e3b9296a0c5ea340ffa6b8b38a694615)
@@ -24,19 +24,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder \
-	-i $file \
-	-l water.xyz \
-	--select-all-molecules \
-	--rotate-to-principal-axis-system "0,0,-1" \
-	--create-shape \
-		--shape-name "cylinder1" \
-		--shape-type "cylinder" \
-		--translation "10,10,0." \
-		--stretch "5.,5.,20." \
-	--select-shape-by-name "cylinder1" \
-	--fill-surface \
-		--count 20 \
-		--min-distance 3.1 \
-		--Alignment-Axis "0,0,-1"
+AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "cylinder1" 		--shape-type "cylinder" 		--translation "10,10,0." 		--stretch "5.,5.,20." 	--select-shape-by-name "cylinder1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1"
 ], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
@@ -51,20 +37,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder \
-	-i $file \
-	-l water.xyz \
-	--select-all-molecules \
-	--rotate-to-principal-axis-system "0,0,-1" \
-	--create-shape \
-		--shape-name "cylinder1" \
-		--shape-type "cylinder" \
-		--translation "10,10,0." \
-		--stretch "5.,5.,20." \
-	--select-shape-by-name "cylinder1" \
-	--fill-surface \
-		--count 20 \
-		--min-distance 3.1 \
-		--Alignment-Axis "0,0,-1" \
-	--undo
+AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "cylinder1" 		--shape-type "cylinder" 		--translation "10,10,0." 		--stretch "5.,5.,20." 	--select-shape-by-name "cylinder1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1" 	--undo
 ], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
@@ -79,21 +50,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder \
-	-i $file \
-	-l water.xyz \
-	--select-all-molecules \
-	--rotate-to-principal-axis-system "0,0,-1" \
-	--create-shape \
-		--shape-name "cylinder1" \
-		--shape-type "cylinder" \
-		--translation "10,10,0." \
-		--stretch "5.,5.,20." \
-	--select-shape-by-name "cylinder1" \
-	--fill-surface \
-		--count 20 \
-		--min-distance 3.1 \
-		--Alignment-Axis "0,0,-1" \
-	--undo \
-	--redo
+AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "cylinder1" 		--shape-type "cylinder" 		--translation "10,10,0." 		--stretch "5.,5.,20." 	--select-shape-by-name "cylinder1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1" 	--undo 	--redo
 ], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
Index: tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-everywhere.at
===================================================================
--- tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-everywhere.at	(revision 7774f7e70f2ae517967d41e9125f5dba0adf1dbe)
+++ tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-everywhere.at	(revision 9b3262b2e3b9296a0c5ea340ffa6b8b38a694615)
@@ -24,19 +24,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder \
-	-i $file \
-	-l water.xyz \
-	--select-all-molecules \
-	--rotate-to-principal-axis-system "0,0,-1" \
-	--create-shape \
-		--shape-name "everywhere1" \
-		--shape-type "everywhere" \
-		--translation "0,0,0" \
-		--stretch "20.,20.,20." \
-	--select-shape-by-name "everywhere1" \
-	--fill-surface \
-		--count 20 \
-		--min-distance 3.1 \
-		--Alignment-Axis "0,0,1"
+AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "everywhere1" 		--shape-type "everywhere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "everywhere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1"
 ], 5, [stdout], [stderr])
 #AT_CHECK([grep "20 out of 20 returned true from predicate" stdout], 0, [ignore], [ignore])
Index: tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-micelle.at
===================================================================
--- tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-micelle.at	(revision 7774f7e70f2ae517967d41e9125f5dba0adf1dbe)
+++ tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-micelle.at	(revision 9b3262b2e3b9296a0c5ea340ffa6b8b38a694615)
@@ -25,19 +25,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/tensid.potentials .], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder \
-	--parse-tremolo-potentials tensid.potentials \
-	-i $file \
-	--select-all-molecules \
-	--rotate-to-principal-axis-system "0,0,-1" \
-	--create-shape \
-		--shape-name "sphere1" \
-		--shape-type "sphere" \
-		--translation "0,0,0" \
-		--stretch "20.,20.,20." \
-	--select-shape-by-name "sphere1" \
-	--fill-surface \
-		--count 20 \
-		--min-distance 3.1 \
-		--Alignment-Axis "0,0,1"
+AT_CHECK([../../molecuilder 	--parse-tremolo-potentials tensid.potentials 	-i $file 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1"
 ], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/tensid.data], 0, [ignore], [ignore])
@@ -53,20 +39,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/tensid.potentials .], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder \
-	--parse-tremolo-potentials tensid.potentials \
-	-i $file \
-	--select-all-molecules \
-	--rotate-to-principal-axis-system "0,0,-1" \
-	--create-shape \
-		--shape-name "sphere1" \
-		--shape-type "sphere" \
-		--translation "0,0,0" \
-		--stretch "20.,20.,20." \
-	--select-shape-by-name "sphere1" \
-	--fill-surface \
-		--count 20 \
-		--min-distance 3.1 \
-		--Alignment-Axis "0,0,1" \
-	--undo
+AT_CHECK([../../molecuilder 	--parse-tremolo-potentials tensid.potentials 	-i $file 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1" 	--undo
 ], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
@@ -82,21 +53,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/tensid.potentials .], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder \
-	--parse-tremolo-potentials tensid.potentials \
-	-i $file \
-	--select-all-molecules \
-	--rotate-to-principal-axis-system "0,0,-1" \
-	--create-shape \
-		--shape-name "sphere1" \
-		--shape-type "sphere" \
-		--translation "0,0,0" \
-		--stretch "20.,20.,20." \
-	--select-shape-by-name "sphere1" \
-	--fill-surface \
-		--count 20 \
-		--min-distance 3.1 \
-		--Alignment-Axis "0,0,1" \
-	--undo \
-	--redo
+AT_CHECK([../../molecuilder 	--parse-tremolo-potentials tensid.potentials 	-i $file 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1" 	--undo 	--redo
 ], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/tensid.data], 0, [ignore], [ignore])
Index: tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-nowhere.at
===================================================================
--- tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-nowhere.at	(revision 7774f7e70f2ae517967d41e9125f5dba0adf1dbe)
+++ tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-nowhere.at	(revision 9b3262b2e3b9296a0c5ea340ffa6b8b38a694615)
@@ -24,19 +24,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder \
-	-i $file \
-	-l water.xyz \
-	--select-all-molecules \
-	--rotate-to-principal-axis-system "0,0,-1" \
-	--create-shape \
-		--shape-name "nowhere1" \
-		--shape-type "nowhere" \
-		--translation "0,0,0" \
-		--stretch "20.,20.,20." \
-	--select-shape-by-name "nowhere1" \
-	--fill-surface \
-		--count 20 \
-		--min-distance 3.1 \
-		--Alignment-Axis "0,0,1"
+AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "nowhere1" 		--shape-type "nowhere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "nowhere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1"
 ], 5, [stdout], [stderr])
 #AT_CHECK([grep "20 out of 20 returned true from predicate" stdout], 0, [ignore], [ignore])
Index: tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-sphere.at
===================================================================
--- tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-sphere.at	(revision 7774f7e70f2ae517967d41e9125f5dba0adf1dbe)
+++ tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-sphere.at	(revision 9b3262b2e3b9296a0c5ea340ffa6b8b38a694615)
@@ -24,19 +24,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder \
-	-i $file \
-	-l water.xyz \
-	--select-all-molecules \
-	--rotate-to-principal-axis-system "0,0,-1" \
-	--create-shape \
-		--shape-name "sphere1" \
-		--shape-type "sphere" \
-		--translation "10,10,10" \
-		--stretch "5.,5.,5." \
-	--select-shape-by-name "sphere1" \
-	--fill-surface \
-		--count 20 \
-		--min-distance 3.1 \
-		--Alignment-Axis "0,0,-1"
+AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "10,10,10" 		--stretch "5.,5.,5." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1"
 ], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
@@ -51,20 +37,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder \
-	-i $file \
-	-l water.xyz \
-	--select-all-molecules \
-	--rotate-to-principal-axis-system "0,0,-1" \
-	--create-shape \
-		--shape-name "sphere1" \
-		--shape-type "sphere" \
-		--translation "10,10,10" \
-		--stretch "5.,5.,5." \
-	--select-shape-by-name "sphere1" \
-	--fill-surface \
-		--count 20 \
-		--min-distance 3.1 \
-		--Alignment-Axis "0,0,-1" \
-	--undo
+AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "10,10,10" 		--stretch "5.,5.,5." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1" 	--undo
 ], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
@@ -79,21 +50,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder \
-	-i $file \
-	-l water.xyz \
-	--select-all-molecules \
-	--rotate-to-principal-axis-system "0,0,-1" \
-	--create-shape \
-		--shape-name "sphere1" \
-		--shape-type "sphere" \
-		--translation "10,10,10" \
-		--stretch "5.,5.,5." \
-	--select-shape-by-name "sphere1" \
-	--fill-surface \
-		--count 20 \
-		--min-distance 3.1 \
-		--Alignment-Axis "0,0,-1" \
-	--undo \
-	--redo
+AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "10,10,10" 		--stretch "5.,5.,5." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1" 	--undo 	--redo
 ], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
Index: tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-cube.at
===================================================================
--- tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-cube.at	(revision 7774f7e70f2ae517967d41e9125f5dba0adf1dbe)
+++ tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-cube.at	(revision 9b3262b2e3b9296a0c5ea340ffa6b8b38a694615)
@@ -26,17 +26,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillVolume/pre/water.xyz water.xyz], 0)
 AT_CHECK([
-	../../molecuilder \
-		-i $file \
-		-o xyz \
-		-l water.xyz \
-		--select-all-molecules \
-		--create-shape \
-			--shape-name "cube" \
-			--shape-type cube \
-			--translation 5,5,5 \
-			--stretch 3,3,3 \
-		--select-shape-by-name "cube" \
-		--fill-volume \
-			--count 12], 0, [stdout], [stderr])
+	../../molecuilder 		-i $file 		-o xyz 		-l water.xyz 		--select-all-molecules 		--create-shape 			--shape-name "cube" 			--shape-type cube 			--translation 5,5,5 			--stretch 3,3,3 		--select-shape-by-name "cube" 		--fill-volume 			--count 12], 0, [stdout], [stderr])
 #AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillVolume/post/$file], 0, [ignore], [ignore])
 
Index: tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-cylinder.at
===================================================================
--- tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-cylinder.at	(revision 7774f7e70f2ae517967d41e9125f5dba0adf1dbe)
+++ tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-cylinder.at	(revision 9b3262b2e3b9296a0c5ea340ffa6b8b38a694615)
@@ -24,17 +24,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillVolume/pre/water.xyz water.xyz], 0)
 AT_CHECK([
-	../../molecuilder \
-		-i $file \
-		-o xyz \
-		-l water.xyz \
-		--select-all-molecules \
-		--create-shape \
-			--shape-name "cylinder" \
-			--shape-type cylinder \
-			--translation 5,5,5 \
-			--stretch 3,3,3 \
-		--select-shape-by-name "cylinder" \
-		--fill-volume \
-			--count 12], 0, [stdout], [stderr])
+	../../molecuilder 		-i $file 		-o xyz 		-l water.xyz 		--select-all-molecules 		--create-shape 			--shape-name "cylinder" 			--shape-type cylinder 			--translation 5,5,5 			--stretch 3,3,3 		--select-shape-by-name "cylinder" 		--fill-volume 			--count 12], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillVolume/post/$file], 0, [ignore], [ignore])
 
@@ -48,18 +36,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillVolume/pre/water.xyz water.xyz], 0)
 AT_CHECK([
-	../../molecuilder \
-		-i $file \
-		-o xyz \
-		-l water.xyz \
-		--select-all-molecules \
-		--create-shape \
-			--shape-name "cylinder" \
-			--shape-type cylinder \
-			--translation 5,5,5 \
-			--stretch 3,3,3 \
-		--select-shape-by-name "cylinder" \
-		--fill-volume \
-			--count 12 \
-		--undo], 0, [stdout], [stderr])
+	../../molecuilder 		-i $file 		-o xyz 		-l water.xyz 		--select-all-molecules 		--create-shape 			--shape-name "cylinder" 			--shape-type cylinder 			--translation 5,5,5 			--stretch 3,3,3 		--select-shape-by-name "cylinder" 		--fill-volume 			--count 12 		--undo], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillVolume/post/water_undo.xyz], 0, [ignore], [ignore])
 
@@ -73,19 +48,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillVolume/pre/water.xyz water.xyz], 0)
 AT_CHECK([
-	../../molecuilder \
-		-i $file \
-		-o xyz \
-		-l water.xyz \
-		--select-all-molecules \
-		--create-shape \
-			--shape-name "cylinder" \
-			--shape-type cylinder \
-			--translation 5,5,5 \
-			--stretch 3,3,3 \
-		--select-shape-by-name "cylinder" \
-		--fill-volume \
-			--count 12 \
-		--undo \
-		--redo], 0, [stdout], [stderr])
+	../../molecuilder 		-i $file 		-o xyz 		-l water.xyz 		--select-all-molecules 		--create-shape 			--shape-name "cylinder" 			--shape-type cylinder 			--translation 5,5,5 			--stretch 3,3,3 		--select-shape-by-name "cylinder" 		--fill-volume 			--count 12 		--undo 		--redo], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillVolume/post/$file], 0, [ignore], [ignore])
 
Index: tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-everywhere.at
===================================================================
--- tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-everywhere.at	(revision 7774f7e70f2ae517967d41e9125f5dba0adf1dbe)
+++ tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-everywhere.at	(revision 9b3262b2e3b9296a0c5ea340ffa6b8b38a694615)
@@ -25,17 +25,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillVolume/pre/water.xyz water.xyz], 0)
 AT_CHECK([
-	../../molecuilder \
-		-i $file \
-		-o xyz \
-		-l water.xyz \
-		--select-all-molecules \
-		--create-shape \
-			--shape-name "everywhere" \
-			--shape-type everywhere \
-			--translation 5,5,5 \
-			--stretch 3,3,3 \
-		--select-shape-by-name "everywhere" \
-		--fill-volume \
-			--count 12], 5, [stdout], [stderr])
+	../../molecuilder 		-i $file 		-o xyz 		-l water.xyz 		--select-all-molecules 		--create-shape 			--shape-name "everywhere" 			--shape-type everywhere 			--translation 5,5,5 			--stretch 3,3,3 		--select-shape-by-name "everywhere" 		--fill-volume 			--count 12], 5, [stdout], [stderr])
 #AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillVolume/post/$file], 0, [ignore], [ignore])
 
Index: tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-nowhere.at
===================================================================
--- tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-nowhere.at	(revision 7774f7e70f2ae517967d41e9125f5dba0adf1dbe)
+++ tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-nowhere.at	(revision 9b3262b2e3b9296a0c5ea340ffa6b8b38a694615)
@@ -25,17 +25,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillVolume/pre/water.xyz water.xyz], 0)
 AT_CHECK([
-	../../molecuilder \
-		-i $file \
-		-o xyz \
-		-l water.xyz \
-		--select-all-molecules \
-		--create-shape \
-			--shape-name "nowhere" \
-			--shape-type nowhere \
-			--translation 5,5,5 \
-			--stretch 3,3,3 \
-		--select-shape-by-name "nowhere" \
-		--fill-volume \
-			--count 12], 5, [stdout], [stderr])
+	../../molecuilder 		-i $file 		-o xyz 		-l water.xyz 		--select-all-molecules 		--create-shape 			--shape-name "nowhere" 			--shape-type nowhere 			--translation 5,5,5 			--stretch 3,3,3 		--select-shape-by-name "nowhere" 		--fill-volume 			--count 12], 5, [stdout], [stderr])
 #AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillVolume/post/$file], 0, [ignore], [ignore])
 
Index: tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-sphere.at
===================================================================
--- tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-sphere.at	(revision 7774f7e70f2ae517967d41e9125f5dba0adf1dbe)
+++ tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-sphere.at	(revision 9b3262b2e3b9296a0c5ea340ffa6b8b38a694615)
@@ -26,17 +26,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillVolume/pre/water.xyz water.xyz], 0)
 AT_CHECK([
-	../../molecuilder \
-		-i $file \
-		-o xyz \
-		-l water.xyz \
-		--select-all-molecules \
-		--create-shape \
-			--shape-name "sphere" \
-			--shape-type sphere \
-			--translation 5,5,5 \
-			--stretch 3,3,3 \
-		--select-shape-by-name "sphere" \
-		--fill-volume \
-			--count 12], 0, [stdout], [stderr])
+	../../molecuilder 		-i $file 		-o xyz 		-l water.xyz 		--select-all-molecules 		--create-shape 			--shape-name "sphere" 			--shape-type sphere 			--translation 5,5,5 			--stretch 3,3,3 		--select-shape-by-name "sphere" 		--fill-volume 			--count 12], 0, [stdout], [stderr])
 #AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillVolume/post/$file], 0, [ignore], [ignore])
 
Index: tests/GuiChecks/Fragmentation/FragmentationAutomation/testsuite-fragmentation-fragmentation-automation.at
===================================================================
--- tests/GuiChecks/Fragmentation/FragmentationAutomation/testsuite-fragmentation-fragmentation-automation.at	(revision 7774f7e70f2ae517967d41e9125f5dba0adf1dbe)
+++ tests/GuiChecks/Fragmentation/FragmentationAutomation/testsuite-fragmentation-fragmentation-automation.at	(revision 9b3262b2e3b9296a0c5ea340ffa6b8b38a694615)
@@ -24,15 +24,7 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Fragmentation/FragmentMolecule/pre/test.conf $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder \
-	-i $file \
-	--subgraph-dissection \
-	--verbose 1 \
-	--select-molecule-by-id 0 \
-	--select-molecules-atoms \
-	--fragment-molecule BondFragment \
-	--distance 1.55 \
-	--order 2 \
-	--fragment-automation \
-	--fragment-executable /bin/false], 
+AT_CHECK([../../molecuilder --dry-run 	-i $file 	--subgraph-dissection 	--verbose 1 	--select-molecule-by-id 0 	--select-molecules-atoms 	--fragment-molecule BondFragment 	--distance 1.55 	--order 2 	--fragment-automation 	--fragment-executable /bin/false --no-dry-run --store-session session-fragmentation-fragmentation-automation.py --session-type python], 0
+AT_CHECK([grep -v "Command.*DryRun" session-fragmentation-fragmentation-automation.py >session-fragmentation-fragmentation-automation_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fragmentation-fragmentation-automation_new.py], 
 	5, [stdout], [stderr])
 
@@ -45,18 +37,6 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Fragmentation/FragmentMolecule/pre/test.conf $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder \
-	-i $file \
-	--subgraph-dissection \
-	--verbose 1 \
-	--select-molecule-by-id 0 \
-	--select-molecules-atoms \
-	--fragment-molecule BondFragment \
-	--distance 1.55 \
-	--order 2 \
-	--fragment-automation \
-	--fragment-executable /bin/false \ 
-	--analyse-fragment-results \
-	--fragment-prefix $FILENAME \
-	--fragment-resultfile ${FILENAME}_results.dat], 
+AT_CHECK([../../molecuilder 	-i $file 	--subgraph-dissection 	--verbose 1 	--select-molecule-by-id 0 	--select-molecules-atoms 	--fragment-molecule BondFragment 	--distance 1.55 	--order 2 	--fragment-automation 	--fragment-executable /bin/false \ 
+	--analyse-fragment-results 	--fragment-prefix $FILENAME 	--fragment-resultfile ${FILENAME}_results.dat], 
 	5, [stdout], [stderr])
 
Index: tests/GuiChecks/Potential/FitPotential/testsuite-potential-fit-potential.at
===================================================================
--- tests/GuiChecks/Potential/FitPotential/testsuite-potential-fit-potential.at	(revision 7774f7e70f2ae517967d41e9125f5dba0adf1dbe)
+++ tests/GuiChecks/Potential/FitPotential/testsuite-potential-fit-potential.at	(revision 9b3262b2e3b9296a0c5ea340ffa6b8b38a694615)
@@ -26,16 +26,7 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Potential/FitPotential/pre/$file $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder \
-	--parse-homologies $file \
-	--set-random-number-engine "lagged_fibonacci607" \
-		--random-number-engine-parameters "seed=1;" \
-	--set-random-number-distribution "uniform_real" \
-		--random-number-distribution-parameters "min=0;max=1;" \
-	--fit-potential \
-		--potential-type "morse" \
-		--potential-charges 8 1 \
-		--fragment-charges 1 8 1 \
-		--set-threshold 1e-6 \
-	--save-potentials length.potentials], 0, [stdout], [ignore])
+AT_CHECK([../../molecuilder --dry-run 	--parse-homologies $file 	--set-random-number-engine "lagged_fibonacci607" 		--random-number-engine-parameters "seed=1;" 	--set-random-number-distribution "uniform_real" 		--random-number-distribution-parameters "min=0;max=1;" 	--fit-potential 		--potential-type "morse" 		--potential-charges 8 1 		--fragment-charges 1 8 1 		--set-threshold 1e-6 	--save-potentials length.potentials --no-dry-run --store-session session-potential-fit-potential.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-potential-fit-potential.py >session-potential-fit-potential_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-potential-fit-potential_new.py], 0, [stdout], [ignore])
 # check that L_2 error is below 1e-6
 # check parameters to printed precision
@@ -51,16 +42,7 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Potential/FitPotential/pre/$file $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder \
-	--parse-homologies $file \
-	--set-random-number-engine "lagged_fibonacci607" \
-		--random-number-engine-parameters "seed=1;" \
-	--set-random-number-distribution "uniform_real" \
-		--random-number-distribution-parameters "min=0;max=1;" \
-	--fit-potential \
-		--potential-type "harmonic_bond" \
-		--potential-charges 8 1 \
-		--fragment-charges 1 8 1 \
-		--set-threshold 1e-6 \
-	--save-potentials harmonic.potentials], 0, [stdout], [ignore])
+AT_CHECK([../../molecuilder --dry-run 	--parse-homologies $file 	--set-random-number-engine "lagged_fibonacci607" 		--random-number-engine-parameters "seed=1;" 	--set-random-number-distribution "uniform_real" 		--random-number-distribution-parameters "min=0;max=1;" 	--fit-potential 		--potential-type "harmonic_bond" 		--potential-charges 8 1 		--fragment-charges 1 8 1 		--set-threshold 1e-6 	--save-potentials harmonic.potentials --no-dry-run --store-session session-potential-fit-potential.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-potential-fit-potential.py >session-potential-fit-potential_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-potential-fit-potential_new.py], 0, [stdout], [ignore])
 # check that L_2 error is below 1e-6
 # check parameters to printed precision
@@ -76,16 +58,7 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Potential/FitPotential/pre/$file $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder \
-	--parse-homologies $file \
-	--set-random-number-engine "lagged_fibonacci607" \
-		--random-number-engine-parameters "seed=1;" \
-	--set-random-number-distribution "uniform_real" \
-		--random-number-distribution-parameters "min=0;max=1;" \
-	--fit-potential \
-		--potential-type "harmonic_angle" \
-		--potential-charges 1 8 1 \
-		--fragment-charges 1 8 1 \
-		--set-threshold 1e-6 \
-	--save-potentials angle.potentials], 0, [stdout], [ignore])
+AT_CHECK([../../molecuilder --dry-run 	--parse-homologies $file 	--set-random-number-engine "lagged_fibonacci607" 		--random-number-engine-parameters "seed=1;" 	--set-random-number-distribution "uniform_real" 		--random-number-distribution-parameters "min=0;max=1;" 	--fit-potential 		--potential-type "harmonic_angle" 		--potential-charges 1 8 1 		--fragment-charges 1 8 1 		--set-threshold 1e-6 	--save-potentials angle.potentials --no-dry-run --store-session session-potential-fit-potential.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-potential-fit-potential.py >session-potential-fit-potential_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-potential-fit-potential_new.py], 0, [stdout], [ignore])
 # check that L_2 error is below 1e-6
 # check parameters to printed precision
@@ -101,16 +74,7 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Potential/FitPotential/pre/$file $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder \
-	--parse-homologies $file \
-	--set-random-number-engine "lagged_fibonacci607" \
-		--random-number-engine-parameters "seed=1;" \
-	--set-random-number-distribution "uniform_real" \
-		--random-number-distribution-parameters "min=0;max=1;" \
-	--fit-potential \
-		--potential-type "torsion" \
-		--potential-charges 6 6 6 6 \
-		--fragment-charges 6 6 6 6 1 1 1 1 1 1 1 1 1 1 \
-		--set-threshold 2e-10 \
-	--save-potentials torsion.potentials], 0, [stdout], [ignore])
+AT_CHECK([../../molecuilder --dry-run 	--parse-homologies $file 	--set-random-number-engine "lagged_fibonacci607" 		--random-number-engine-parameters "seed=1;" 	--set-random-number-distribution "uniform_real" 		--random-number-distribution-parameters "min=0;max=1;" 	--fit-potential 		--potential-type "torsion" 		--potential-charges 6 6 6 6 		--fragment-charges 6 6 6 6 1 1 1 1 1 1 1 1 1 1 		--set-threshold 2e-10 	--save-potentials torsion.potentials --no-dry-run --store-session session-potential-fit-potential.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-potential-fit-potential.py >session-potential-fit-potential_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-potential-fit-potential_new.py], 0, [stdout], [ignore])
 # check that L_2 error is below 9e-12 ... just 2e-10 otherwise test takes tooo long
 AT_CHECK([grep "torsion:.*particle_type1=6,.*particle_type2=6,.*particle_type3=6,.*particle_type4=6,.*spring_constant=.*,.*equilibrium_distance=.*;" torsion.potentials], 0, [ignore], [ignore])
@@ -126,16 +90,7 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Potential/FitPotential/pre/$file $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder \
-	--parse-homologies $file \
-	--set-random-number-engine "lagged_fibonacci607" \
-		--random-number-engine-parameters "seed=1;" \
-	--set-random-number-distribution "uniform_real" \
-		--random-number-distribution-parameters "min=0;max=1;" \
-	--fit-potential \
-		--potential-type "improper" \
-		--potential-charges 1 7 1 1 \
-		--fragment-charges 7 1 1 1 \
-		--set-threshold 3e-4 \
-	--save-potentials improper.potentials], 0, [stdout], [ignore])
+AT_CHECK([../../molecuilder --dry-run 	--parse-homologies $file 	--set-random-number-engine "lagged_fibonacci607" 		--random-number-engine-parameters "seed=1;" 	--set-random-number-distribution "uniform_real" 		--random-number-distribution-parameters "min=0;max=1;" 	--fit-potential 		--potential-type "improper" 		--potential-charges 1 7 1 1 		--fragment-charges 7 1 1 1 		--set-threshold 3e-4 	--save-potentials improper.potentials --no-dry-run --store-session session-potential-fit-potential.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-potential-fit-potential.py >session-potential-fit-potential_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-potential-fit-potential_new.py], 0, [stdout], [ignore])
 # check that L_2 error is below 3e-4
 # check parameters to printed precision
@@ -152,16 +107,7 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Potential/FitPotential/pre/$file $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder \
-	--parse-homologies $file \
-	--set-random-number-engine "lagged_fibonacci607" \
-		--random-number-engine-parameters "seed=5;" \
-	--set-random-number-distribution "uniform_real" \
-		--random-number-distribution-parameters "min=0;max=1;" \
-	--fit-potential \
-		--potential-type "lennardjones" \
-		--potential-charges 18 18 \
-		--fragment-charges 18 18 \
-		--set-threshold 7e-9 \
-	--save-potentials lj.potentials], 0, [stdout], [ignore])
+AT_CHECK([../../molecuilder --dry-run 	--parse-homologies $file 	--set-random-number-engine "lagged_fibonacci607" 		--random-number-engine-parameters "seed=5;" 	--set-random-number-distribution "uniform_real" 		--random-number-distribution-parameters "min=0;max=1;" 	--fit-potential 		--potential-type "lennardjones" 		--potential-charges 18 18 		--fragment-charges 18 18 		--set-threshold 7e-9 	--save-potentials lj.potentials --no-dry-run --store-session session-potential-fit-potential.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-potential-fit-potential.py >session-potential-fit-potential_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-potential-fit-potential_new.py], 0, [stdout], [ignore])
 # check that L_2 error is below 7e-11 ... just 7e-9 otherwise test takes too long
 # check parameters to printed precision
